{
	"name": "form/nc/nc-stock/rec.json",
	"tab": "stock-receive",
	"return": {
		"grid": [
			{
				"name": "stock",
				"tab": "{{tab}}"
			},
			{
				"name": "stock_row",
				"tab": "{{tab}}"
			},
			{
				"name": "stock_location",
				"tab": "{{tab}}"
			}
		]
	},
	"start_date": "2025-01-01",
	"target_date": "2025-12-31",
	"search": {
		"purchase_order": "",
		"product": "",
		"order": "",
		"company": "",
		"hide_before_date": "2022-12-31",
		"hide_before": true,
		"show_located_after_time": "2022-12-31",
		"show_located_after": true,
		"show_open": false
	},
	"packet": {
		"row": {},
		"round_decimals": -1,
		"product_id": "",
		"name": "",
		"supplier_id": "",
		"order": "",
		"stock_amount_1": 0,
		"stock_amount_2": 0,
		"design_amount_1": 0,
		"design_amount_2": 0,
		"packet_count": 1,
		"packet_count_unit": "pcs",
		"packet_stock_2": 0,
		"packet_design_1": 0,
		"packet_design_2": 0,
		"save_amount": 1,
		"stock_amount_full_packet_1": 0,
		"stock_amount_full_packet_2": 0,
		"stock_amount_last_packet_1": 0,
		"stock_amount_last_packet_2": 0,
		"packet_count_2": 0,
		"packet_count_2_unit": "",
		"packet_unit": ["pcs", "pct", "sht"],
		"stock_unit_1": "",
		"stock_unit_2": "",
		"design_unit_1": "",
		"design_unit_2": "",
		"delivery_date": "",
		"stock_id": "",
		"material_batch": "",
		"stock_unit_1_multiplier": "",
		"design_unit_1_to_2_multiplier": "",
		"design_amount_full_packet_1": 0,
		"design_amount_full_packet_2": 0,
		"design_unit_full_packet_1": "",
		"design_unit_full_packet_2": "",
		"design_multiplier_full_packet": "",
		"design_amount_last_packet_1": 0,
		"design_amount_last_packet_2": 0,
		"design_unit_last_packet_1": "",
		"design_unit_last_packet_2": "",
		"design_multiplier_last_packet": ""
	},
	"copy_order_row_field_to_packet": [
		{ "from": "product_id", "to": "product_id" },
		{ "from": "pr.name", "to": "name" },
		{ "from": "pr.supplier_id", "to": "supplier_id" },
		{ "from": "order_amount", "to": "stock_amount_1" },
		{ "from": "json_data.order_amount_2", "to": "stock_amount_2" },
		{ "from": "pr.stock_unit", "to": "stock_unit_1" },
		{ "from": "pr.unit_multiplier", "to": "stock_unit_1_multiplier" },
		{ "from": "pr.unit_2", "to": "stock_unit_2" },
		{ "from": "pr.design_unit", "to": "design_unit_1" },
		{ "from": "pr.json_data.design_conversion_multiplier", "to": "design_unit_1_to_2_multiplier" },
		{ "from": "pr.json_data.design_unit_2", "to": "design_unit_2" },
		{ "from": "pr.design_unit", "to": "design_unit_full_packet_1" },
		{ "from": "pr.json_data.design_conversion_multiplier", "to": "design_multiplier_full_packet" },
		{ "from": "pr.json_data.design_unit_2", "to": "design_unit_full_packet_2" },
		{ "from": "pr.design_unit", "to": "design_unit_last_packet_1" },
		{ "from": "pr.json_data.design_conversion_multiplier", "to": "design_multiplier_last_packet" },
		{ "from": "pr.json_data.design_unit_2", "to": "design_unit_last_packet_2" },
		{ "from": "delivery_date", "to": "delivery_date" },
		{ "from": "stock_event_id", "to": "stock_id" }
	],
	"copy_packet_field_to_stock": [
		{ "from": "stock_id", "to": "json_data.external_stock_id" },
		{ "from": "product_id", "to": "product_id" },
		{ "from": "save_amount", "to": "amount" },
		{ "from": "info", "to": "info" },
		{ "from": "delivery_date", "to": "event_time" }
	],
	"run": [
		{ "result": "target_date", "function": "currentDateString" },
		{ "result": "show_always_time", "function": "currentDateString" }
	],
	"run-": [
		{ "result": "target_date", "function": "currentDateString" },
		{ "result": "from_date", "function": "currentDateString" }
	],
	"show_multiplier": false,
	"width": {
		"button_width": "10em",
		"header_height": "2.7em",
		"margin": "0.65em",
		"label": "9em",
		"left_label": "9em",
		"label_input": "15em",
		"amount": "5em",
		"multiplier": "6.5em",
		"unit": "4em"
	},
	"location_id": "",
	"product_info": "",
	"receive_type": ["LI"],
	"receive_type_all": ["LI", "KO", "IN"],
	"send_type": ["PO"],
	"send_type_all": ["PO", "KO", "IN"],
	"main_currency": "EUR",
	"stock_event_type_value_show": "set in code from constant / stock_event_type.value_show",
	"document_data": { "data": "", "viewer_show_type": "preview-full", "mime_type": "", "document_name": "" },
	"document_style": "display: none",
	"document_style_preview": "padding: 2px; border: 1px solid lightgray;",
	"document_style_fullpage": "padding: 2px; border: 1px solid lightgray;",
	"document_name": "nc-stock.pdf",
	"report_date_format": "%d.%m.%Y",
	"product_subset_array_size": 100
}
